@styen thank you! it seems to be working now!

for reference, I was not able to downgrade chromium but following this guide https://gist.github.com/Thomas-Ln/c4ae803e90f9984b6612c8983c8fde1f I got the libffmpeg.so from the .deb package for version 95.0.4638.69 of chromium-codecs-ffmpeg-extra

I'm using libffmpeg.so from chromium 96 on opera-beta and libffmpeg.so from chromium 95 in opera-stable